# -*- coding: utf-8 -*-

from tuikit.button import Button


class Checkbox(Button):

    '''Checkbox - button.'''

    def __init__(self, label=''):
        Button.__init__(self, label)

        self.checked = False

        self.prefix = '[ ] '
        self.suffix = ''
        self.align = 'left'
        self.bg = 'normal'
        self.bghi = 'active'

    def _handle_click(self):
        super()._handle_click()
        if self.checked:
            self.checked = False
            self.prefix = '[ ] '
        else:
            self.checked = True
            self.prefix = '[x] '

